Skip to main content

List Container Templates

GET/v2/container-templates/
v2
GET
container-list-templates

Request

Responses

Response headers

  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

application/json

OK

  • Array[
    • *object
      • categoriesarray of string
        required
        • Array[
          • *string
          ]
      • descriptionobject
        required
        • destring
          required
        • enstring
          required
      • developerstring
        required
      • domainsarray of object
        • Array[
          • *object
            • portstring
              required
            • servicestring
              required
            • userInputstring
              required
          ]
      • iconstring
        required
      • idstring
        required
      • licensestring
      • manifestVersionstring
        required

        Version of the manifest for this template, e.g. '1.0'

      • namestring
        required
      • repositorystring
      • taglineobject
        required
        • destring
          required
        • enstring
          required
      • userInputsarray of object
        • Array[
          • *object
            • dataSourcestring
            • defaultValuestring
            • namestring
              required
            • requiredboolean
              required
            • validationSchemastring
          ]
      • versionstring
        required

        Version of the application described by this template, e.g. 'latest'

      • websitestring
    ]

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/container-templates?category=string&searchTerm=string&limit=50&page=1